<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_6e38cb9e0" . "43a07cd69a" . "1711a6704c" . "62a" => base64_decode("cGFyZ" . "W50X2" . "lk"), "_d5ebf376f635c188ec65813608e6e" . "ce5" => base64_decode("bmV3X3Zl" . "cnNpb24="), "_0ee0a25025d73f8693a4bb37" . "a3c298ac" => base64_decode("Y2hlY2tl" . "ZF9pbl9i" . "eQ=="));
use Claromentis\Core\Event\GenericEvent;


class CheckinDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedInBy()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0ee0a25025d73f8693a4b" . "b37a3c298ac"]);
    }
    
    
    public function GetNewVersion()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_d5ebf376f635c188ec65813" . "608e6ece5"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_6e38cb9e043a07cd69a1711a67" . "04c62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}